Package fr.gouv.vitam.functional.administration.core.ontologies

# Class OntologyManager

java.lang.Object
fr.gouv.vitam.functional.administration.core.ontologies.OntologyManager

public class OntologyManager extends Object
This class manage validation and log operation of Ontology service

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OntologyManager(LogbookOperationsClientFactory logbookOperationsClientFactory, GUID eip, Map<String,List<ErrorReportOntologies>> errors)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String identifier, ErrorReportOntologies error, Map<String,List<ErrorReportOntologies>> errors)`
  Add an error to the report
  `void`
  `logFatalError(String eventType, String objectId, String errorsDetails)`
  log fatal error (system or technical error)
  `void`
  `logStarted(String eventType, String objectId)`
  log start process
  `void`
  `logSuccess(String eventType, String objectId, String message)`
  log end success process
  `void`
  `logValidationError(String eventType, String objectId, String errorsDetails)`
  Log validation error (business error)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OntologyManager

    public OntologyManager(LogbookOperationsClientFactory logbookOperationsClientFactory, GUID eip, Map<String,List<ErrorReportOntologies>> errors)

- ## Method Details

  - ### addError

    public void addError(String identifier, ErrorReportOntologies error, Map<String,List<ErrorReportOntologies>> errors)
    Add an error to the report
    Parameters:
      `identifier` -
      `error` -

  - ### logValidationError

    public void logValidationError(String eventType, String objectId, String errorsDetails) throws VitamException
    Log validation error (business error)
    Parameters:
      `errorsDetails` -
    Throws:
      `VitamException`

  - ### logFatalError

    public void logFatalError(String eventType, String objectId, String errorsDetails) throws VitamException
    log fatal error (system or technical error)
    Parameters:
      `errorsDetails` -
    Throws:
      `VitamException`

  - ### logStarted

    public void logStarted(String eventType, String objectId) throws VitamException
    log start process
    Throws:
      `VitamException`

  - ### logSuccess

    public void logSuccess(String eventType, String objectId, String message) throws VitamException
    log end success process
    Throws:
      `VitamException`